Method: projects.locations.collections.engines.sessions.alphaEvolveExperiments.list

List all AlphaEvolveExperiments in a given session.

HTTP request

GET https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/collections/*/engines/*/sessions/*}/alphaEvolveExperiments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name (Session) of the Session. Format: projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/sessions/{session}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of experiments to return. The service may return fewer than this value.

pageToken

string

Optional. A page token, received from a previous alphaEvolveExperiments.list call. Provide this to retrieve the subsequent page.

Request body

The request body must be empty.

Response body

Response message for AlphaEvolveService.ListAlphaEvolveExperiments.

If successful, the response body contains data with the following structure:

JSON representation
{
  "alphaEvolveExperiments": [
    {
      object (AlphaEvolveExperiment)
    }
  ],
  "nextPageToken": string
}
Fields
alphaEvolveExperiments[]

object (AlphaEvolveExperiment)

Output only. List of experiments.

nextPageToken

string

Output only. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.